#!/bin/bash
# scred: Scartabella, Comprimi, Rimpicciolisci E Debella
# detrito, december 2008
# requires imagemagick, exiv2
# v.0.0.3, march 2009

# constants
_max_dimension="1024x1024"
_quality="90"

# variables
tmp_file=""
n=0
tot=0

f_process()
{
	filename="$1"
	
	# rimpicciolisce e comprime mantenendo invariate le proporzioni
	convert "-geometry" "${_max_dimension}" "-quality" "${_quality}" "$imgdir/$filename" "$destdir/$filename"
	
	# elimina i tags exif
	exiv2 rm "$destdir/$filename"
}

# process arguments
if [ -z $1 ]; then
	echo "USAGE: $(basename "$0") [imgdir]"
	exit 1
else
	imgdir="$1"
	destdir="${imgdir}_scaled"
fi

if [ ! -d "$destdir" ]; then
	mkdir "$destdir"
fi

# process images
tot=$(ls "$imgdir" | wc -l)
n=1
for tmp_file in $(ls "$imgdir"); do
	echo "[${n}/${tot}] ${tmp_file}"
	f_process "$tmp_file"
	n=$(($n+1))
done

exit 0

